Skip to main content
POST
/
api
/
v1
/
users
/
{id}
/
reset-password
Kullanıcı şifresini sıfırla
curl --request POST \
  --url https://identity-sandbox.payven.com.tr/api/v1/users/{id}/reset-password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "password": "<string>",
  "temporary": true
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Path Parameters

id
string
required

Body

password
string | null
temporary
boolean

Response

No Content